Bug 42893 - Kernel almost crash when running mount in parallele on the same filesystem.
Kernel almost crash when running mount in parallele on the same filesystem.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 14:07 EDT by Christophe Leroy
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Leroy 2001-05-30 14:07:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [fr] (X11; U; Linux 2.2.16-3 i686)

Description of problem:
When running mount in parallele on the same filesystem, I get a kernel
panic almost every time.


How reproducible:
Always

Steps to Reproduce:
Build the following prog
#include <sys/mount.h>
#include <linux/fs.h>
#include <signal.h>

main()
{
	signal(SIGCHLD,SIG_IGN);
	fork();
		
mount("/dev/hdd4","/mnt/zip","vfat",MS_NOSUID|MS_NODEV|MS_NOEXEC|MS_MGC_VAL,0);
}

Run it a one time, unmount the filesystem and run it once more. (Problem
happens on the second time)

Actual Results:  divide error: 0
CPU: 0
EIP: 10:[<c88c9c51>]
EFLAGS: 10246
EAX: 1df EBX:0 ECX:d626a100 EDX:0 ESI: c6190000 EDI:c025c168 EBP: c0275a50
ESP: c0233e90 DS:18 ES:18 ss:18
Process swapper (pid:0, process nr:0 stackpage: c0233000

CallTrace: c88cb060 c017e9bb c88c956d c017ecf8 c017f145 c88c949c c010af82
c010ad47 c010b0a4 c010ad88 c0108799 c0106000 c01087bc c0109f0c c0106000
c010607b c0106000 c0100175
Code: f7 f3 85 d2 75 0d 8b 57 14 89 d0 31 d2 f7 f3 85 d2 74 0c 8d
Aiee, killing interrupt handler
kernel panic: Attempted to kill the idle task 
In swapper task - not syncing

Expected Results:  Nothing wrong

Additional info:

RedHat 6.2 with kernel 2.2.16-3 i686

Tell me if you also need the stack.
Comment 1 Bugzilla owner 2004-09-30 11:39:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.